Skip to main content
`Ctrl`+`K`

# PetscRegressorGetOptionsPrefix

Gets the prefix used for searching for all PetscRegressor options in the database

## Synopsis

    PetscErrorCode PetscRegressorGetOptionsPrefix(PetscRegressor regressor, const char *p[])

Not Collective

## Input Parameter

- regressor - the `PetscRegressor` context

## Output Parameter

- p - pointer to the prefix string used is returned

## Fortran Notes

Pass in a string ‘prefix’ of sufficient length to hold the prefix.

## See Also

PetscRegressor: Regression Solvers, `PetscRegressor`, `PetscRegressorSetFromOptions()`, `PetscRegressorSetOptionsPrefix()`, `PetscRegressorAppendOptionsPrefix()`

## Level

advanced

## Location

src/ml/regressor/interface/regressor.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages